/*
 * Levoric Learn JS v2.1.0 (https://levoriclearn.com/)
 * Copyright 2024-2025 The Authors (https://github.com/Levoric-Learn/LevoricLearn/graphs/contributors)
 * Licensed under MIT (https://github.com/Levoric-Learn/LevoricLearn)
 */
document.querySelector('.ll-nav-toggle').addEventListener('click', function() {
    const navList = document.querySelector('.ll-nav-list');
    navList.classList.toggle('active');
    if (navList.classList.contains('active')) {
        navList.style.maxHeight = navList.scrollHeight + "px";
    } else {
        navList.style.maxHeight = "0";
    }
});

function copyText(button) {
    const textToCopy = button.textContent.trim().replace('Copy ', '');
    navigator.clipboard.writeText(textToCopy)
        .then(() => {
            console.log('Text copied to clipboard:', textToCopy);
            showTooltip(button);
        })
        .catch(err => {
            console.error('Failed to copy text:', err);
        });
}

function showTooltip(button) {
    const tooltip = document.createElement('div');
    tooltip.className = 'tooltip';
    tooltip.textContent = 'Copied!';
    button.appendChild(tooltip);

    setTimeout(() => {
        tooltip.remove();
    }, 1500);
}